package com.ruoyi.project.training.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 上岗证/作业证书一览对象 t_worklicense_certificate
 *
 * @author ssy
 * @date 2024-03-04
 */
public class TWorklicenseCertificate extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 唯一标识ID */
    private Long id;

    /** 是否高亮 */
    private int isHighlight;

    /** 姓名 */
    @Excel(name = "姓名")
    private String name;

    /** 员工号 */
    @Excel(name = "员工号")
    private String employeeid;

    /** 身份证件号 */
    @Excel(name = "身份证件号")
    private String idnum;

    /** 班组 */
    @Excel(name = "班组")
    private String classes;

    /** 职务 */
    @Excel(name = "职务")
    private String post;

    /** 证件类型 */
    @Excel(name = "证件类型")
    private String idtype;

    /** 证件号 */
    @Excel(name = "证件号")
    private String worklicenseIdnum;

    /** 开工锅炉 */
    @Excel(name = "开工锅炉")
    private String boiler;

    /** 裂解 */
    @Excel(name = "裂解")
    private String cracking;

    /** 热区 */
    @Excel(name = "热区")
    private String hotarea;

    /** 冷区 */
    @Excel(name = "冷区")
    private String coldarea;

    /** 芳烃 */
    @Excel(name = "芳烃")
    private String aromatic;

    /** 取复证日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "取复证日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date recertificatedate;

    /** 有效期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "有效期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date validity;

    /** 压力容器 */
    @Excel(name = "压力容器")
    private String container;

    /** 压力管道 */
    @Excel(name = "压力管道")
    private String pipe;

    /** 取证日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "取证日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date reviewdate;

    /** 有效期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "有效期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date pipevalidity;

    /** 证件号 */
    @Excel(name = "证件号")
    private String certificateNo;

    /** 锅炉证 */
    @Excel(name = "锅炉证")
    private String boilerid;

    /** 有效期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "有效期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date boilvalidity;

    /** 加氢工艺 */
    @Excel(name = "加氢工艺")
    private String hydrogenation;

    /** 有效期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "有效期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date hydvalidity;

    /** 复审 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "复审", width = 30, dateFormat = "yyyy-MM-dd")
    private Date hydnextreview;

    /** 裂化工艺 */
    @Excel(name = "裂化工艺")
    private String crackingid;

    /** 有效期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "有效期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date crackingvalidity;

    /** 复审 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "复审", width = 30, dateFormat = "yyyy-MM-dd")
    private Date crackingreview;

    /** 裂化工艺 */
    @Excel(name = "裂化工艺")
    private String refrigeration;

    /** 有效期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "有效期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date refrigerationvalidity;

    /** 复审 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "复审", width = 30, dateFormat = "yyyy-MM-dd")
    private Date refrigerationview;

    /** 最近培训日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "最近培训日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date foremantrain;

    /** 本次复审 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "本次复审", width = 30, dateFormat = "yyyy-MM-dd")
    private Date foremanreview;

    /** 下次复审 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "下次复审", width = 30, dateFormat = "yyyy-MM-dd")
    private Date foremannextreview;

    /** 取证日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "取证日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date fireProtection;

    /** 最近培训日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "最近培训日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date waterdate;

    /** 最近培训日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "最近培训日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date energydate;

    /** 删除状态 */
    private Long delFlag;

    /** 创建人 */
    @Excel(name = "创建人")
    private String createrCode;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createdate;

    /** 修改人 */
    @Excel(name = "修改人")
    private String updaterCode;

    /** 修改时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "修改时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updatedate;

    /** 部门编号 */
    @Excel(name = "部门编号")
    private Long deptId;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }

    public int getIsHighlight() {
        return isHighlight;
    }

    public void setIsHighlight(int isHighlight) {
        this.isHighlight = isHighlight;
    }

    public void setName(String name)
    {
        this.name = name;
    }

    public String getName()
    {
        return name;
    }
    public void setEmployeeid(String employeeid)
    {
        this.employeeid = employeeid;
    }

    public String getEmployeeid()
    {
        return employeeid;
    }
    public void setIdnum(String idnum)
    {
        this.idnum = idnum;
    }

    public String getIdnum()
    {
        return idnum;
    }
    public void setClasses(String classes)
    {
        this.classes = classes;
    }

    public String getClasses()
    {
        return classes;
    }
    public void setPost(String post)
    {
        this.post = post;
    }

    public String getPost()
    {
        return post;
    }
    public void setIdtype(String idtype)
    {
        this.idtype = idtype;
    }

    public String getIdtype()
    {
        return idtype;
    }
    public void setWorklicenseIdnum(String worklicenseIdnum)
    {
        this.worklicenseIdnum = worklicenseIdnum;
    }

    public String getWorklicenseIdnum()
    {
        return worklicenseIdnum;
    }
    public void setBoiler(String boiler)
    {
        this.boiler = boiler;
    }

    public String getBoiler()
    {
        return boiler;
    }
    public void setCracking(String cracking)
    {
        this.cracking = cracking;
    }

    public String getCracking()
    {
        return cracking;
    }
    public void setHotarea(String hotarea)
    {
        this.hotarea = hotarea;
    }

    public String getHotarea()
    {
        return hotarea;
    }
    public void setColdarea(String coldarea)
    {
        this.coldarea = coldarea;
    }

    public String getColdarea()
    {
        return coldarea;
    }
    public void setAromatic(String aromatic)
    {
        this.aromatic = aromatic;
    }

    public String getAromatic()
    {
        return aromatic;
    }
    public void setRecertificatedate(Date recertificatedate)
    {
        this.recertificatedate = recertificatedate;
    }

    public Date getRecertificatedate()
    {
        return recertificatedate;
    }
    public void setValidity(Date validity)
    {
        this.validity = validity;
    }

    public Date getValidity()
    {
        return validity;
    }
    public void setContainer(String container)
    {
        this.container = container;
    }

    public String getContainer()
    {
        return container;
    }
    public void setPipe(String pipe)
    {
        this.pipe = pipe;
    }

    public String getPipe()
    {
        return pipe;
    }
    public void setReviewdate(Date reviewdate)
    {
        this.reviewdate = reviewdate;
    }

    public Date getReviewdate()
    {
        return reviewdate;
    }
    public void setPipevalidity(Date pipevalidity)
    {
        this.pipevalidity = pipevalidity;
    }

    public Date getPipevalidity()
    {
        return pipevalidity;
    }
    public void setCertificateNo(String certificateNo)
    {
        this.certificateNo = certificateNo;
    }

    public String getCertificateNo()
    {
        return certificateNo;
    }
    public void setBoilerid(String boilerid)
    {
        this.boilerid = boilerid;
    }

    public String getBoilerid()
    {
        return boilerid;
    }
    public void setBoilvalidity(Date boilvalidity)
    {
        this.boilvalidity = boilvalidity;
    }

    public Date getBoilvalidity()
    {
        return boilvalidity;
    }
    public void setHydrogenation(String hydrogenation)
    {
        this.hydrogenation = hydrogenation;
    }

    public String getHydrogenation()
    {
        return hydrogenation;
    }
    public void setHydvalidity(Date hydvalidity)
    {
        this.hydvalidity = hydvalidity;
    }

    public Date getHydvalidity()
    {
        return hydvalidity;
    }
    public void setHydnextreview(Date hydnextreview)
    {
        this.hydnextreview = hydnextreview;
    }

    public Date getHydnextreview()
    {
        return hydnextreview;
    }
    public void setCrackingid(String crackingid)
    {
        this.crackingid = crackingid;
    }

    public String getCrackingid()
    {
        return crackingid;
    }
    public void setCrackingvalidity(Date crackingvalidity)
    {
        this.crackingvalidity = crackingvalidity;
    }

    public Date getCrackingvalidity()
    {
        return crackingvalidity;
    }
    public void setCrackingreview(Date crackingreview)
    {
        this.crackingreview = crackingreview;
    }

    public Date getCrackingreview()
    {
        return crackingreview;
    }
    public void setRefrigeration(String refrigeration)
    {
        this.refrigeration = refrigeration;
    }

    public String getRefrigeration()
    {
        return refrigeration;
    }
    public void setRefrigerationvalidity(Date refrigerationvalidity)
    {
        this.refrigerationvalidity = refrigerationvalidity;
    }

    public Date getRefrigerationvalidity()
    {
        return refrigerationvalidity;
    }
    public void setRefrigerationview(Date refrigerationview)
    {
        this.refrigerationview = refrigerationview;
    }

    public Date getRefrigerationview()
    {
        return refrigerationview;
    }
    public void setForemantrain(Date foremantrain)
    {
        this.foremantrain = foremantrain;
    }

    public Date getForemantrain()
    {
        return foremantrain;
    }
    public void setForemanreview(Date foremanreview)
    {
        this.foremanreview = foremanreview;
    }

    public Date getForemanreview()
    {
        return foremanreview;
    }
    public void setForemannextreview(Date foremannextreview)
    {
        this.foremannextreview = foremannextreview;
    }

    public Date getForemannextreview()
    {
        return foremannextreview;
    }
    public void setFireProtection(Date fireProtection)
    {
        this.fireProtection = fireProtection;
    }

    public Date getFireProtection()
    {
        return fireProtection;
    }
    public void setWaterdate(Date waterdate)
    {
        this.waterdate = waterdate;
    }

    public Date getWaterdate()
    {
        return waterdate;
    }
    public void setEnergydate(Date energydate)
    {
        this.energydate = energydate;
    }

    public Date getEnergydate()
    {
        return energydate;
    }
    public void setDelFlag(Long delFlag)
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag()
    {
        return delFlag;
    }
    public void setCreaterCode(String createrCode)
    {
        this.createrCode = createrCode;
    }

    public String getCreaterCode()
    {
        return createrCode;
    }
    public void setCreatedate(Date createdate)
    {
        this.createdate = createdate;
    }

    public Date getCreatedate()
    {
        return createdate;
    }
    public void setUpdaterCode(String updaterCode)
    {
        this.updaterCode = updaterCode;
    }

    public String getUpdaterCode()
    {
        return updaterCode;
    }
    public void setUpdatedate(Date updatedate)
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate()
    {
        return updatedate;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("name", getName())
            .append("employeeid", getEmployeeid())
            .append("idnum", getIdnum())
            .append("classes", getClasses())
            .append("post", getPost())
            .append("idtype", getIdtype())
            .append("worklicenseIdnum", getWorklicenseIdnum())
            .append("boiler", getBoiler())
            .append("cracking", getCracking())
            .append("hotarea", getHotarea())
            .append("coldarea", getColdarea())
            .append("aromatic", getAromatic())
            .append("recertificatedate", getRecertificatedate())
            .append("validity", getValidity())
            .append("container", getContainer())
            .append("pipe", getPipe())
            .append("reviewdate", getReviewdate())
            .append("pipevalidity", getPipevalidity())
            .append("certificateNo", getCertificateNo())
            .append("boilerid", getBoilerid())
            .append("boilvalidity", getBoilvalidity())
            .append("hydrogenation", getHydrogenation())
            .append("hydvalidity", getHydvalidity())
            .append("hydnextreview", getHydnextreview())
            .append("crackingid", getCrackingid())
            .append("crackingvalidity", getCrackingvalidity())
            .append("crackingreview", getCrackingreview())
            .append("refrigeration", getRefrigeration())
            .append("refrigerationvalidity", getRefrigerationvalidity())
            .append("refrigerationview", getRefrigerationview())
            .append("foremantrain", getForemantrain())
            .append("foremanreview", getForemanreview())
            .append("foremannextreview", getForemannextreview())
            .append("fireProtection", getFireProtection())
            .append("waterdate", getWaterdate())
            .append("energydate", getEnergydate())
            .append("delFlag", getDelFlag())
            .append("createrCode", getCreaterCode())
            .append("createdate", getCreatedate())
            .append("updaterCode", getUpdaterCode())
            .append("updatedate", getUpdatedate())
            .append("deptId", getDeptId())
            .toString();
    }
}
